import request from '@/utils/request'

// 查询企业认证列表
export function listCertification(query) {
  return request({
    url: '/authentication/certification/list',
    method: 'get',
    params: query
  })
}

// 查询企业认证详细
export function getCertification(id) {
  return request({
    url: '/authentication/certification/' + id,
    method: 'get'
  })
}

// 新增企业认证
export function addCertification(data) {
  return request({
    url: '/authentication/certification',
    method: 'post',
    data: data
  })
}

// 修改企业认证
export function updateCertification(data) {
  return request({
    url: '/authentication/certification',
    method: 'put',
    data: data
  })
}

// 删除企业认证
export function delCertification(id) {
  return request({
    url: '/authentication/certification/' + id,
    method: 'delete'
  })
}
